diff -uNrd ircd-hybrid-6.0/configure.in ircd-pi1.0a/configure.in
--- ircd-hybrid-6.0/configure.in	Wed Dec 31 19:00:00 1969
+++ ircd-pi1.0a/configure.in	Thu May 23 14:04:28 2002
@@ -0,0 +1,240 @@
+dnl
+dnl $Id: configure.in,v 1.20 2002/05/23 18:04:28 smoli Exp $
+dnl Process this file with autoconf to produce a  configure script.
+dnl
+
+AC_INIT
+AC_CONFIG_SRCDIR([src/ircd.c])
+AM_INIT_AUTOMAKE(ircd, pi1.0a)
+AM_CONFIG_HEADER(include/setup.h)
+
+dnl Checks for programs.
+AC_CANONICAL_HOST
+AC_PROG_CC
+AC_ISC_POSIX
+AC_PROG_RANLIB
+AC_PROG_MAKE_SET
+AC_PROG_INSTALL
+
+dnl Checks for libraries.
+AC_CHECK_LIB(z,deflate,, AC_MSG_ERROR([
+WARNING: ircd needs a system with libz.so (zlib).
+You will need to get and install zlib then recompile ircd.
+You may obtain it from:
+ftp://sunsite.cnlab-switch.ch/mirror/infozip/zlib
+]))
+AC_CHECK_LIB(nsl, gethostbyname)
+AC_CHECK_FUNC(res_mkquery,,AC_CHECK_LIB(resolv, res_mkquery))
+AC_CHECK_LIB(socket, socket)
+AC_CHECK_FUNC(crypt,, AC_CHECK_LIB(descrypt, crypt,,AC_CHECK_LIB(crypt,crypt,,)))
+
+dnl Checks for header files.
+AC_HEADER_STDC
+AC_CHECK_HEADERS([sys/param.h unistd.h errno.h string.h \
+                 stdlib.h stddef.h getopt.h])
+
+dnl Check for stdarg.h - if we can't find it, halt configure
+AC_CHECK_HEADER(stdarg.h,,AC_MSG_ERROR([
+** stdarg.h could not be found - ircd will not compile without it **
+]))
+
+CFLAGS=`echo $CFLAGS | sed s/\-g// | sed s/\-Wall//`
+CFLAGS=`echo $CFLAGS`
+AC_ARG_ENABLE(debug,
+[  --enable-debug          Enable debugging mode],
+AC_DEFINE(DEBUG, 1, [Enable debugging mode])
+DEBUG="Yes"
+CFLAGS="-g $CFLAGS", DEBUG="No")
+ASM="noarch"
+NASM="nasm -f elf"
+AC_ARG_ENABLE(assembler,
+[  --enable-assembler      Enable assembler optimizations],
+[
+  AC_MSG_CHECKING(whether to use assembler optimizations)
+  case "$host" in
+    *86-pc-linux-gnu | *86-gnu-linux )
+      if test "$DEBUG" = "Yes"
+      then
+        NASMFLAGS="-g -w+gnu-elf-extensions"
+      else
+        NASMFLAGS="-w+gnu-elf-extensions"
+      fi
+      ASM="i386"
+      ;;
+  esac
+  if test "$ASM" = "noarch"; then
+    AC_MSG_RESULT(no)
+  else
+    AC_MSG_RESULT(yes)
+  fi
+  AC_MSG_CHECKING(for the netwide assembler)
+  if test -x /usr/bin/nasm; then
+    AC_MSG_RESULT($NASM)    
+  else
+    if test -x /usr/local/bin/nasm; then
+      AC_MSG_RESULT($NASM)
+    else
+      AC_MSG_ERROR([No nasm found!])
+    fi
+  fi
+  
+  
+])
+
+
+AC_ARG_ENABLE(warnings,
+[  --enable-warnings       Enable compiler warnings],[CFLAGS="$CFLAGS -Wall"])
+AC_ARG_ENABLE(static,
+[  --enable-static         Enable static linking], [LDFLAGS="$LDFLAGS -static"])
+AC_ARG_ENABLE(enforce,
+[  --disable-enforce       IRCops can enforce everything (default)])
+if test "x$enable-enforce" != "xno"
+then
+  AC_DEFINE(ENFORCE, 1, [Define this if you want your IRCops to enforce])
+  ENFORCE="Yes"
+else
+  ENFORCE="No"
+fi
+
+AC_ARG_ENABLE(backup,
+[  --disable-backup        Disable automatic uplink backup])
+if test "x$enable-backup" != "xno"
+then
+  AC_DEFINE(BACKUP, 1, [Define this if your server has an alternative uplink])
+  BACKUP="Yes"
+else
+  BACKUP="No"
+fi
+
+AC_ARG_ENABLE(hub,
+[  --enable-hub            Enable server-server routing],
+AC_DEFINE(HUB, 1, [Define this if you want to run your server as a hub])
+HUB="Yes", HUB="No")
+     
+AC_CHECK_FUNC(poll, AC_DEFINE(USE_POLL, 1, [Define this if you have the poll() system call]),)
+IRCDDIR="ircd"
+SSL="No"
+AC_ARG_WITH(ircd-dir,
+[  --with-ircd-dir[=DIR]     Override default ircd root [PREFIX/ircd]],
+[IRCDDIR="$withval"])
+
+AC_MSG_CHECKING(for IRCD user)
+AC_ARG_WITH(ircd-user,
+[  --with-ircd-user        Specify IRCD user account],
+[
+  user=`grep "^$withval:" /etc/passwd`
+  if test "$user" != ""
+  then
+    AC_MSG_RESULT($withval)
+    IRCDUSER="$withval"
+  else
+    AC_MSG_RESULT(error)
+    AC_MSG_ERROR([Invalid user $withval])
+  fi
+],
+[
+  IRCDUSER=`id -un`
+  if test "$IRCDUSER" = "root"
+  then
+    IRCDUSER=`grep "^irc:" /etc/passwd | sed s/:.*//`
+    if test "$IRCDUSER" = ""
+    then
+      IRCDUSER=`grep "^ircd:" /etc/passwd | sed s/:.*//`
+    fi
+    if test "$IRCDUSER" = ""
+    then
+      IRCDUSER=`grep "^ircs:" /etc/passwd | sed s/:.*//`
+    fi
+    if test "$IRCDUSER" = ""
+    then
+      IRCDUSER=`grep "^irc" /etc/passwd | sed s/:.*//`
+    fi
+  fi
+  if test "$IRCDUSER" = ""
+  then
+    IRCDUSER="root"
+  fi
+  AC_MSG_RESULT($IRCDUSER)
+])
+
+AC_MSG_CHECKING(whether to enable SSL support)
+AC_ARG_WITH(ssl,
+[  --with-ssl              Enable SSL support],
+[ case "$withval" in
+    yes)
+      AC_MSG_RESULT(yes)
+      LIBS="$LIBS -lssl -lcrypto"
+      AC_CHECK_LIB(ssl, SSL_accept,
+               [
+                 AC_DEFINE(HAVE_SSL, 1, [Define this if you want SSL support])
+                 SSL="Yes"
+                 AC_CHECK_LIB(ssl, ASN1_UTCTIME_get, AC_DEFINE(HAVE_SSL, 1, [Define this if OpenSSL has ASN1_UTCTIME_get]))
+                 if test -d "/usr/include/openssl"; then true; else
+                   CPPFLAGS="$CPPFLAGS -I/usr/local/include"
+                   LDFLAGS="$LDFLAGS -L/usr/local/lib"
+                 fi
+               ],
+               AC_MSG_ERROR(Could not find OpenSSL.))
+      ;;
+    no)
+      AC_MSG_RESULT(no)
+      ;;
+  esac ],
+AC_MSG_RESULT(no))
+
+LIBS=`echo $LIBS`
+LDFLAGS=`echo $LDFLAGS`
+AC_SUBST(ASM)
+AC_SUBST(NASM)
+AC_SUBST(NASMFLAGS)
+AC_SUBST(HUB)
+AC_SUBST(IRCDDIR)
+AC_SUBST(IRCDUSER)
+AC_SUBST(SSL)
+if test "${prefix}" = "NONE"; then
+  prefix="/usr/local"
+fi
+AC_DEFINE_UNQUOTED(IRCDDIR, "${prefix}/$IRCDDIR", [IRCD server root])
+AC_DEFINE_UNQUOTED(IRCDUSER, "$IRCDUSER", [IRCD user])
+
+AC_CONFIG_FILES([Makefile \
+                 include/Makefile \
+                 src/Makefile \
+                 tools/Makefile \
+                 doc/Makefile \
+                 src/noarch/Makefile \
+                 src/i386/Makefile])
+AC_OUTPUT
+echo ""
+echo "Ircd has been configured with the following options:"
+echo ""
+echo "       Server root: ${prefix}/${IRCDDIR}"
+#echo "     Server binary: ${prefix}/${IRCDDIR}/ircd"
+#echo "     Server config: ${prefix}/${IRCDDIR}/ircd.conf"
+#if test "$SSL" = "Yes"; then
+#  echo "Server certificate: ${prefix}/${IRCDDIR}/ircd.crt"
+#  echo "        Server key: ${prefix}/${IRCDDIR}/ircd.key"
+#fi
+echo "         IRCD User: ${IRCDUSER}"
+echo "         Debugging: ${DEBUG}"
+echo "           Enforce: ${ENFORCE}"
+echo "               Hub: ${HUB}"
+echo "    Backup uplinks: ${BACKUP}"
+echo "       SSL Support: ${SSL}"
+if test "$ASM" = "noarch"; then
+  echo "         Assembler: No"
+else
+  echo "         Assembler: $ASM"
+fi
+echo ""
+echo "              Host: ${host}"
+echo "          Compiler: ${CC}"
+echo "    Compiler flags: ${CFLAGS}"
+echo "Preprocessor flags: ${CPPFLAGS}"
+echo "      Linker flags: ${LDFLAGS}"
+echo "         Libraries: ${LIBS}"
+echo ""
+if test "$IRCDUSER" = "root"
+then
+  echo "Warning: ircd should not run as root!"
+fi
diff -uNrd ircd-hybrid-6.0/doc/ca.cnf ircd-pi1.0a/doc/ca.cnf
--- ircd-hybrid-6.0/doc/ca.cnf	Wed Dec 31 19:00:00 1969
+++ ircd-pi1.0a/doc/ca.cnf	Sat May 18 00:05:54 2002
@@ -0,0 +1,93 @@
+# create RSA certs - Server
+
+RANDFILE = openssl.rnd
+
+[ ca ]
+default_ca	= CA_default
+
+[ CA_default ]
+dir		= .
+certs		= $dir/certs		# Where the issued certs are kept
+#crl_dir	= $dir/crl		# Where the issued crl are kept
+database	= $dir/ca.txt		# database index file.
+new_certs_dir	= $dir/newcerts		# default place for new certs.
+
+certificate	= $dir/ca.crt		# The CA certificate
+serial		= $dir/ca.ser		# The current serial number
+crl		= $dir/ca.crl		# The current CRL
+private_key	= $dir/ca.key		# The private key
+RANDFILE	= $dir/ca.rnd		# private random number file
+
+x509_extensions = usr_cert		# The extentions to add to the cert
+
+default_days	= 365                   # how long to certify for
+default_crl_days= 30                    # how long before next CRL
+default_md	= md5                   # which md to use.
+preserve	= no                    # keep passed DN ordering
+
+policy          = policy_match
+
+[ req ]
+default_bits		= 2048
+default_keyfile		= req.key
+encrypt_key		= yes
+distinguished_name	= req_dn
+x509_extensions		= v3_ca
+
+[ req_dn ]
+countryName			= Country Name (2 letter code)
+countryName_default		= CH
+countryName_min			= 2
+countryName_max			= 2
+
+stateOrProvinceName		= State or Province Name (full name)
+stateOrProvinceName_default	= 
+
+localityName                    = Locality Name (eg, city)
+localityName_default		= 
+
+0.organizationName              = Organization Name (eg, company)
+0.organizationName_default      = PiIRC
+
+organizationalUnitName          = Organizational Unit Name (eg, section)
+organizationalUnitName_default  = 
+
+0.commonName                    = Common Name (FQDN of your server)
+0.commonName_default            = 
+
+[ usr_cert ]
+basicConstraints=CA:FALSE
+nsCertType = client, server
+nsComment                       = "OpenSSL Generated Certificate"
+subjectKeyIdentifier=hash
+authorityKeyIdentifier=keyid,issuer:always
+
+[ v3_req ]
+basicConstraints = CA:FALSE
+keyUsage = nonRepudiation, digitalSignature, keyEncipherment
+
+[ v3_ca ]
+subjectKeyIdentifier=hash
+authorityKeyIdentifier=keyid:always,issuer:always
+basicConstraints = CA:true 
+
+[ crl_ext ]
+authorityKeyIdentifier=keyid:always,issuer:always
+
+[ policy_match ]
+countryName             = match
+stateOrProvinceName     = match
+organizationName        = match
+organizationalUnitName  = optional
+commonName              = supplied
+emailAddress            = optional
+
+[ policy_anything ]
+countryName             = optional
+stateOrProvinceName     = optional
+localityName            = optional
+organizationName        = optional
+organizationalUnitName  = optional
+commonName              = supplied
+emailAddress            = optional
+
diff -uNrd ircd-hybrid-6.0/doc/ca.sh ircd-pi1.0a/doc/ca.sh
--- ircd-hybrid-6.0/doc/ca.sh	Wed Dec 31 19:00:00 1969
+++ ircd-pi1.0a/doc/ca.sh	Thu May 23 13:13:34 2002
@@ -0,0 +1,31 @@
+#!/bin/sh
+case "$1" in
+	newca)
+		openssl req -new -x509 -config ca.cnf -keyout ca.key \
+			-out ca.crt -days 365
+		chmod 600 ca.key
+		touch ca.txt
+		echo "01" > ca.ser
+		mkdir -p certs newcerts
+	;;
+	req)
+		openssl req -new -config ca.cnf -keyout ircd.pem -out req.pem -days 365
+	;;
+	cert)
+		openssl req -new -x509 -days 365 -nodes \
+			-config ca.cnf -out ircd.pem \
+			-keyout ircd.pem
+		openssl x509 -subject -dates -fingerprint -noout \
+			-in ircd.pem
+	;;
+	sign)
+		openssl ca -config ca.cnf -policy policy_anything -out signed.crt -infiles req.crt
+	;;
+	*)
+		echo "newca  - generate a certificate authority"
+		echo "req    - generate a certificate request"
+		echo "cert   - generate a self-signed certificate"
+		echo "sign   - sign a certificate"
+	;;
+esac
+	
diff -uNrd ircd-hybrid-6.0/doc/hub.conf ircd-pi1.0a/doc/hub.conf
--- ircd-hybrid-6.0/doc/hub.conf	Wed Dec 31 19:00:00 1969
+++ ircd-pi1.0a/doc/hub.conf	Thu May 23 12:06:25 2002
@@ -0,0 +1,126 @@
+# $Id: hub.conf,v 1.4 2002/05/23 16:06:25 shifty Exp $
+#
+# Pi-IRC hub configuration file
+#
+# M: set your server's name. Fields are, in order, host name (domain style),
+#  optional bind address, a text name, and unused.
+#
+# NOTE:  The "optional bind address" is an address used in binding to a
+# local address when we connect outbound.  For example, if your server machine
+# is myhost.example.com (192.168.1.5) and you want IRCD to connect to others
+# from irc.example.com (192.168.1.250), you'd put 192.168.1.250 in the
+# "optional bind address" field.  If left blank, UNIX will choose the primary
+# address of the interface closest to the destination.
+#
+M:ircs.zeropain.com::Die fast and painless!:
+# 
+# A: administrative information. This line should have three fields, which
+#    may contain any arbitrary text. It is printed by the /ADMIN command.
+#
+A:line1:line2:line3
+
+#
+# Y: define connection class.  A class must be defined in a Y: line before
+#    it is used in a C, N, or I line.  The fields are, in order, class number,
+#    ping frequency in seconds, connect frequency in seconds, maximum
+#    number of links (used for auto-connecting), and size of sendq.
+#    For servers a sendq of at least 4mb is recommended if not more.
+#
+# N.B. Y lines must be defined before I lines and O lines, since
+# both I lines and O lines make reference to Y lines or classes.
+#
+# For clients, the connect frequency field is used to set the maximum
+# number of connects from same IP address. i.e. setting this field to '1'
+# will limit every I line using this Y, to one connection per IP address.
+# leaving it blank or 0, will disable any such checking.
+#
+# Class numbers must be positive to ensure future modification of ircd to
+# use -1 internally could not be complicated with it's use externally.
+#
+# class 1 for the downlinks...
+Y:1:90:300:32:4194304
+
+# class 2 for the backup uplink...
+Y:2:90:300:1:8388608
+
+# class 3 for the main uplink...
+Y:3:90:300:1:8388608
+
+# class 4 for the operator...
+Y:4:359:0:1;65535
+
+# I & O-line for the operator with passwd...:
+I:ircs.zeropain.com:blah:=*::4
+# /oper slashdot -password-
+O:*:TrkvKsN9roxKo:blah:KORUGHDEN:4
+
+# C:, N: set up connections to other servers.
+#
+# C: specifies a server that your server may connect to.
+# N: allows a remote server to connect to your own.
+#
+# The two lines are usually given in pairs.
+#
+# These lines may contain a password in the second field.  In fact, to
+# maintain proper security, *all* IRC server links must have passwords.
+#
+# The host part of C/N lines MUST contain a valid hostname or IP address
+# The host part in the C:line MUST be identical to the host part in the N:line
+# The name part of the C/N lines MUST match the associated H/L line name
+# 
+# The fifth field may contain a connection class number.
+#
+# The following two lines tell my server to try connecting to
+# byron.u.washington.edu.
+#
+
+# main uplink
+#C:irc.duisburg.icebear.de:-password-:irc.duisburg.icebear.de::3
+#N:irc.duisburg.icebear.de:-password-:irc.duisburg.icebear.de::3
+
+#H:*:*:irc.duisburg.icebear.de
+
+# backup uplink(s)
+#C:irc.wesel.icebear.de:-password-:irc.wesel.icebear.de::2
+#N:irc.wesel.icebear.de:-password-:irc.wesel.icebear.de::2
+
+#H:*:*:irc.wesel.icebear.de
+
+#
+# P : port. The port line allows the server to listen on various ports for
+#     connections.  Fields in order: unused,
+#     address to bind to, SSL, port to listen on
+#
+# NOTE:  As of hybrid-6, you MUST have at least one P: line defining a port
+# to listen on, or the server won't do much.
+#
+P:::SSL:6799
+#P::::6800
+
+# Our leaves
+C:ircs.pleasedontmakemekillyou.com:blah:ircs.pleasedontmakemekillyou.com::1
+N:ircs.pleasedontmakemekillyou.com:blah:ircs.pleasedontmakemekillyou.com:SSL:1
+L:::irc.avenger.mine.nu
+
+#C:irc.fireball.mine.nu:-password-:irc.fireball.mine.nu::1
+#N:irc.fireball.mine.nu:-password-:irc.fireball.mine.nu:SSL:1
+#L:::irc.fireball.mine.nu
+
+# SSL Line
+#
+# S:ciphers:passphrase:cvl:svl:
+#
+# ciphers = permitted cipher string
+#           (entries are separated
+#            by a '/' rather than ':')
+#
+# cvl = client verification level
+# svl = server verification level
+#
+# verification level:
+#   0 - ignore peer certificate
+#   1 - verify peer certificate if present
+#   2 - require valid peer certificate
+#   3 - verify peer with locally installed certificate
+#
+S:HIGH+RSA/MEDIUM+RSA/@STRENGTH:blah:1:2:
diff -uNrd ircd-hybrid-6.0/doc/leaf.conf ircd-pi1.0a/doc/leaf.conf
--- ircd-hybrid-6.0/doc/leaf.conf	Wed Dec 31 19:00:00 1969
+++ ircd-pi1.0a/doc/leaf.conf	Thu May 23 12:06:25 2002
@@ -0,0 +1,217 @@
+# $Id: leaf.conf,v 1.4 2002/05/23 16:06:25 shifty Exp $
+#
+# Pi-IRC leaf configuration file.
+#
+# If you want to run a hub, get doc/pi-hub.conf!!!
+#
+# M: set your server's name. Fields are, in order, host name (domain style),
+#  optional bind address, a text name, and unused.
+#
+# NOTE:  The "optional bind address" is an address used in binding to a
+# local address when we connect outbound.  For example, if your server machine
+# is myhost.example.com (192.168.1.5) and you want IRCD to connect to others
+# from irc.example.com (192.168.1.250), you'd put 192.168.1.250 in the
+# "optional bind address" field.  If left blank, UNIX will choose the primary
+# address of the interface closest to the destination.
+#
+# NOTE:  As of hybrid-6, the port field no longer binds a port by default.
+# It is an inoperative and obsolete field.
+#
+M:ircs.pleasedontmakemekillyou.com::Don't challenge me, bro!:
+# 
+# A: administrative information. This line should have three fields, which
+#    may contain any arbitrary text. It is printed by the /ADMIN command.
+#
+A:line1:line2:line3
+
+# allow 500 users, 360 sec ping frequency, max. 4 hosts per ip, 64k sendq
+#
+# if you want to have more than 1000 users you have to change HARD_FDLIMIT_
+# and INIT_MAXCLIENTS in config.h before compiling.
+Y:1:359:4:500:65536
+
+# allow 1 server, 90 sec ping frequency, 300 secs connect frequency, 4M sendq
+Y:2:90:300:1:4194304
+
+# allow 1 server, 90 sec ping frequency, 300 secs connect frequency, 4M sendq
+Y:3:90:300:1:4194304
+
+#
+# I: authorize clients to connect to your server. You can use domains,
+#    IP addresses, and asterisk wildcards. The second field can contain a
+#    password that the client must use in order to be allowed to connect.
+#    The optional fifth field may contain a connection class number.
+#
+I:NOMATCH::*@*::1
+
+#
+## additional prefix characters in I lines are defined
+##
+## from comstud
+##
+## 1) There are noticable differences in I: lines now.
+##   There are 4 special characters that you can stick in front
+##   of a hostname or ip# that do special things.
+##   These characers are:
+##   -  This will never put a ~ for a user not running identd
+##   +  This will force people matching this I: to require identd
+##   !  This means to only allow 1 connection per ip# in this I:
+##   $  (Not used in hybrid)
+##
+##  Examples:
+##
+## a) I:x::!*@*ppp*::class  will only allow X connections per ip# for people
+##     who have *ppp* in their hostname where X is given in the Y: line.
+##    If there is no ! and you have a limit in your Y: line, then it matches
+##      full user@host instead of just host.
+
+## b) I:x::-*@*.cris.com::class will never show a ~, even though they may
+##     not be running identd.  (This is equivilent to the old way of not
+##    specifying a @ in the I: line).
+
+## Additionally since ircd-hybrid-6
+## B/E/F lines were removed and replaced with 3 other special characters
+## in I lines
+## 
+## ^ This will exempt a user from K/G lines, limited protection from D lines
+## & User can run bots (old B line)
+## > This user is exempt from I line/server side connection limits
+##   (old F line)
+## _ This user is exempt from G lines
+##
+## A variant of amm's spoofing code was added
+## = Spoof this users IP, normally only used for opers
+##
+## < This user is exempt from idle restrictions if IDLE_CHECK is defined
+##
+
+## Examples
+## c) I:NOMATCH::^db@koruna.varner.com::3
+##    This user is exempt from k/g lines
+## d) I:NOMATCH::&jerdfelt@*mindspring.net::3
+##    This user can run a bot, and is also "e lined"
+## e) I:NOMATCH::>lusky@*vol.com::3
+##    This user is immune from I line limits
+## f) I:NOMATCH::^&>mpearce@*varner.com::3
+##    This user can run a bot, is exempt
+##    from client connect limits.
+## g) I:smurfers.are.lame::=dgalas@*somewhere.com::3
+##    Show this user as being dgalas@smurfers.are.lame
+##    an IP can be used instead as long as the name field does not begin 
+##    with an 'x'
+##    i.e. 
+##    I:192.168.0.0/24::x::3 #this is an IP I line
+##    I:192.168.0.0::db@*somesite.com::3 #this is a spoofed IP	
+
+I:pleasedontmakemekillyou.com::=*@client62-2-69-*.hispeed.ch::1
+
+#
+# O: authorize operators. Fields are, in order, host name the operator must
+#    be logged in from (wildcards allowed), operator's password, operator's
+#    nickname.
+## The 4th field is the port number used in c/n's, in ircd-hybrid
+## this field is used to contain oper flags for this oper
+## You may wish to constrain an oper from using global kill or unkline
+## for example.
+## The flags are:
+## K/k - allow/disallow kill and kline
+## O/o - allow/disallow global kill
+## R/r - allow/disallow remote squit/connect
+## U/u - allow/disallow unkline
+## G/g - allow/disallow gline
+## N/n - allow the use of +n , which should be restricted to tcm use only
+##     for privacy reasons. (+c probably belongs controlled here too but isn't)
+## H/h - allow the use of /rehash, default is H for O and o, add h to 
+##       disable an opers use of /rehash
+## D/d - allow the use of /die or /restart. Default is d for disallowing
+##       /die /restart 
+## E/e - allow to enforce channel mode/kick/invite/topic
+##
+## Default flags for opers are KORUGH
+## Default flags for local ops, KUH
+## These flags over-rule what the normal privs of an oper would be,
+## but they cannot allow a local oper to do global kills for example.
+##
+## The global kill of a global oper can be disabled by using o for
+## example, in the port field.
+##
+## This example allow this oper, to global kill, do remote squit/connect
+## unklines, glines, use umode +n, enforce and die.
+##
+O:pleasedontmakemekillyou.com:TrkvKsN9roxKo:smoln:KORUGHDE:1
+#
+
+# C:, N: set up connections to other servers.
+#
+# C: specifies a server that your server may connect to.
+# N: allows a remote server to connect to your own.
+#
+# The two lines are usually given in pairs.
+#
+# These lines may contain a password in the second field.  In fact, to
+# maintain proper security, *all* IRC server links must have passwords.
+#
+# If a C: line contains four fields (the fourth being a TCP port number)
+# IRC will actively try to connect to that server. You should have at least
+# one such line.
+#
+# If an N: line contains four fields, the fourth should contain a number that
+# specifies how many components of your own server's name to strip off the
+# front and be replaced with a *.  This is done to implement hostmasking.
+# For example, to make hayes.ims.alaska.edu present itself to the world as
+# *.alaska.edu, I would use a 2 (to strip off the first two parts).  If you
+# use this, be sure to tell the administrator of the servers you link to --
+# they must add your hostmasked name to their configuration file or you will
+# be unable to connect.
+#
+# The host part of C/N lines MUST contain a valid hostname or IP address
+# The host part in the C:line MUST be identical to the host part in the N:line
+# The name part of the C/N lines MUST match the associated H/L line name
+# 
+# The fifth field may contain a connection class number.
+#
+# main link (highest connection class)
+#
+C:ircs.zeropain.com:blah:ircs.zeropain.com:6799:3
+N:ircs.zeropain.com:blah:ircs.zeropain.com:SSL:3
+#
+# backup link
+#
+#C:hub.wservices.ch:-password-:hub.wservices.ch:6800:2
+#N:hub.wservices.ch:-password-:hub.wservices.ch:SSL:2
+#
+# P : port. The port line allows the server to listen on various ports for
+#     connections.  Fields in order: unused,
+#     address to bind to, SSL, port to listen on
+#
+# NOTE:  As of hybrid-6, you MUST have at least one P: line defining a port
+# to listen on, or the server won't do much.
+#
+P:::SSL:994
+P::::6665
+P::::6666
+P::::6667
+P::::6668
+P::::6669
+
+# Allow server to introduce other servers
+H:*:*:ircs.zeropain.com
+
+# SSL Line
+#
+# S:ciphers:passphrase:cvl:svl:
+#
+# ciphers = permitted cipher string
+#           (entries are separated
+#            by a '/' rather than ':')
+#
+# cvl = client verification level
+# svl = server verification level
+#
+# verification level:
+#   0 - ignore peer certificate
+#   1 - verify peer certificate if present
+#   2 - require valid peer certificate
+#   3 - verify peer with locally installed certificate
+#
+S:HIGH+RSA/MEDIUM+RSA/@STRENGTH:blah:1:2:
diff -uNrd ircd-hybrid-6.0/include/blalloc.h ircd-pi1.0a/include/blalloc.h
--- ircd-hybrid-6.0/include/blalloc.h	Wed Jul 21 01:44:59 1999
+++ ircd-pi1.0a/include/blalloc.h	Fri Nov  2 19:23:17 2001
@@ -4,7 +4,7 @@
  * Owner:   Wohali (Joan Touzet)
  *
  *
- * $Id: blalloc.h,v 1.4 1999/07/21 05:44:59 tomh Exp $
+ * $Id: blalloc.h,v 1.1.1.1 2001/11/03 00:23:17 shifty Exp $
  */
 #ifndef INCLUDED_blalloc_h
 #define INCLUDED_blalloc_h
diff -uNrd ircd-hybrid-6.0/include/channel.h ircd-pi1.0a/include/channel.h
--- ircd-hybrid-6.0/include/channel.h	Thu Oct  5 23:00:55 2000
+++ ircd-pi1.0a/include/channel.h	Thu May 23 00:22:22 2002
@@ -17,7 +17,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id: channel.h,v 1.26 2000/10/06 03:00:55 lusky Exp $
+ * $Id: channel.h,v 1.4 2002/05/23 04:22:22 smoli Exp $
  */
 
 #ifndef INCLUDED_channel_h
@@ -114,6 +114,9 @@
 extern void    channel_modes(struct Client *, char *, char *, struct Channel*);
 extern void    set_channel_mode(struct Client *, struct Client *, 
                                 struct Channel *, int, char **);
+#ifdef HAVE_SSL
+extern int is_ssl_channel(struct Channel *);
+#endif
 
 
 
@@ -152,9 +155,11 @@
 #define MODE_BAN        0x0400
 #define MODE_EXCEPTION  0x0800
 #define MODE_DENY       0x1000
-
 #define MODE_LIMIT      0x2000  /* was 0x1000 */
-#define MODE_FLAGS      0x2fff  /* was 0x1fff */
+#define MODE_SSL        0x4000
+#define MODE_SSLONLY    0x8000
+
+#define MODE_FLAGS      0x8fff  /* was 0x1fff */
 
 #ifdef NEED_SPLITCODE
 
@@ -182,14 +187,6 @@
 #define MODE_WPARAS (MODE_CHANOP|MODE_VOICE|MODE_BAN|\
                      MODE_EXCEPTION|MODE_DENY|MODE_KEY|MODE_LIMIT)
 
-/*
- * Undefined here, these are used in conjunction with the above modes in
- * the source.
-#define MODE_QUERY      0x10000000
-#define MODE_DEL       0x40000000
-#define MODE_ADD       0x80000000
- */
-
 /* used in SetMode() in channel.c and m_umode() in s_msg.c */
 
 #define MODE_NULL      0
@@ -206,6 +203,12 @@
 #define ShowChannel(v,c)        (PubChannel(c) || IsMember((v),(c)))
 #define PubChannel(x)           ((!x) || ((x)->mode.mode &\
                                  (MODE_PRIVATE | MODE_SECRET)) == 0)
+#define IsSSLChannel(x)         ((x) && ((x)->mode.mode & MODE_SSL))
+#define IsSSLOnlyChannel(x)     ((x) && ((x)->mode.mode & MODE_SSLONLY))
+#define SetSSLChannel(x)        ((x) && ((x)->mode.mode |= MODE_SSL))
+#define SetSSLOnlyChannel(x)    ((x) && ((x)->mode.mode |= MODE_SSLONLY))
+#define ClearSSLChannel(x)        ((x) && ((x)->mode.mode &= ~MODE_SSL))
+#define ClearSSLOnlyChannel(x)    ((x) && ((x)->mode.mode &= ~MODE_SSLONLY))
 
 #define IsMember(blah,chan) ((blah && blah->user && \
                 find_channel_link((blah->user)->channel, chan)) ? 1 : 0)
diff -uNrd ircd-hybrid-6.0/include/class.h ircd-pi1.0a/include/class.h
--- ircd-hybrid-6.0/include/class.h	Wed Jul 21 01:45:00 1999
+++ ircd-pi1.0a/include/class.h	Fri Nov  2 19:23:17 2001
@@ -16,7 +16,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  */
-/* $Id: class.h,v 1.5 1999/07/21 05:45:00 tomh Exp $ */
+/* $Id: class.h,v 1.1.1.1 2001/11/03 00:23:17 shifty Exp $ */
 
 #ifndef INCLUDED_class_h
 #define INCLUDED_class_h
